/* Title section ======================= */
.title-section {
  display: block;
  position: relative;

  @media (--tablet-small-max) {
    text-align: center;
  }

  &::after {
    content: attr(data-title);
    position: absolute;
    top: 25px;
    left: 17px;
    font-family: var(--font-lora);
    font-size: 59px;
    font-weight: var(--text-font-weight-bold);
    text-transform: uppercase;
    color: var(--color-primary-lightest);

    @media (--laptop-max) {
      top: 15px;
      left: 15px;
      font-size: 48px;
    }

    @media (--laptop-small-max) {
      top: 10px;
      left: 10px;
      font-size: 32px;
    }

    @media (--tablet-small-max) {
      margin: 0 auto;
      right: 0;
      left: 0;
      text-align: center;
    }
  }
}

.title-section__text {
  margin-top: 0;
  margin-bottom: 90px;
  position: relative;
  z-index: 2;

  @media (--laptop-max) {
    margin-bottom: 60px;
  }

  @media (--laptop-small-max) {
    margin-bottom: 30px;
  }
}

.title-section--centered {
  text-align: center;

  &::after {
    margin: 0 auto;
    right: 0;
    left: 0;
    text-align: center;
  }
}

.title-section--white {

  .title-section__text {
    color: var(--color-white);
  }

  &::after {
    opacity: .25;
  }
}
/* ================ end title section  */
